# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSwap

Function

Interchanges two components in a Field.

Syntax
`
#include <dx/dx.h>
`

Object DXSwap(Object o, char *name1, char *name2)

Functional Details

Interchanges the component values for each Field in Object `o`, if both components (`name1` and `name2`) exist. Object `o` can be a single Field or any Object that can contain Fields, such as Groups or Series.

Return Value

Returns `o` or returns `NULL` and sets an error code. It is an error if any Field of Object `o` contains one of the named components but not the other.

See Also

`DXExists, DXExtract, DXGetComponentValue, DXInsert, DXRemove, DXRename, DXReplace, DXSetComponentValue`

12.10 , "Component Manipulation".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]